Bug 243402 - [NEW PORT] graphics/py-pygeoapi: OGC API server implementation
Summary: [NEW PORT] graphics/py-pygeoapi: OGC API server implementation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://pygeoapi.io/
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-16 21:55 UTC by Loïc Bartoletti
Modified: 2020-01-23 16:04 UTC (History)
1 user (show)

See Also:


Attachments
pygeoapi 0.6.0 (1.98 KB, patch)
2020-01-16 21:55 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
pygeoapi 0.7.0 (2.15 KB, patch)
2020-01-18 08:31 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-01-16 21:55:24 UTC
Created attachment 210804 [details]
pygeoapi 0.6.0

graphics/pygeoapi: OGC API server implementation

pygeoapi is a Python server implementation of the OGC API suite of standards.
The project emerged as part of the next generation OGC API efforts in 2018 and provides the capability for organizations to deploy an RESTful OGC API endpoint using OpenAPI, GeoJSON, and HTML. pygeoapi is open source and released under an MIT license.

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere:11/12/13, i386/amd64)
  * maketest: OK (manual tests only, see https://github.com/geopython/pygeoapi/issues/339)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-17 08:46:40 UTC
^Triage: Reporter is committer, assign accordingly
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-17 08:52:46 UTC
Review:

- Upstream has 0.7.0 out
- Package provides console_scripts, port must be concurrent safe (USE_PYTHON=concurrent)
- Package provides tests in sdist, add TEST_DEPENDS and test target [1]
- pytz and python-dateutil are declared upstream as a dependencies (requirements.txt parsed into setup.py), but are not listed in *_DEPENDS

[1] cd ${WRKSRC} && ${PYTHON_CMD} -m pytest -v -rs -o addopts=
Comment 3 Loïc Bartoletti freebsd_committer 2020-01-18 08:31:26 UTC
Created attachment 210834 [details]
pygeoapi 0.7.0

Changes:
- Update to 0.7.0
- add USE_PYTHON=concurrent
- add two new dependencies for 0.7.0: pytz and python-dateutil

koobs@ sorry, but PyPi tarball doesnt ship tests subdir and if we want test it we need a pgsql, elasticsearch, mongodb bases graphics/gdal built with SQLite, etc. I think it's best if I work on an upstream CI, isnt' it?
Comment 4 Loïc Bartoletti freebsd_committer 2020-01-18 08:32:17 UTC
other change: pygeoapi -> py-pygeoapi https://wiki.freebsd.org/Python/PortsPolicy#Naming
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-19 07:32:15 UTC
(In reply to Loïc Bartoletti from comment #3)

Tests aren't compulsory (dont block commit), but they are highly valueable. At least it would be nice to ask upstream to ship the tests in the PyPI sdist (using MANIFEST.in is the usual way)

Thanks for the updates, and note: you don't need to maintainer approval your own ports (but its great to be explicit, particularly if/when someone else is committing your updates) :)
Comment 6 Loïc Bartoletti freebsd_committer 2020-01-20 17:10:25 UTC
Thanks koobs@
Should be fixed for the next release. I'll plan also to create a CI for this port.